Subject: Re: [PATCH v2] i2c: core: make it possible to match a pure device tree driver

From: Wolfram Sang <wsa-z923LK4zBo2bacvFa/[email-masked]>
Date: Tue, 18 Jun 2013 17:55:31 +0200

On Tue, Jun 18, 2013 at 09:44:17AM +0200, Linus Walleij wrote:
> On Tue, Jun 18, 2013 at 9:33 AM, Wolfram Sang <wsa-z923LK4zBo2bacvFa/[email-masked]> wrote:
> > On Mon, Jun 17, 2013 at 11:15:30PM +0100, Grant Likely wrote:
> >> On Mon, Jun 17, 2013 at 5:33 PM, Linus Walleij <[email-masked]> wrote:
> >> > OK that works for me, I'm not in any hurry.
> >>
> >> Deferring by a merge window isn't going to make it any less painful.
> >> Do your best to find all the users that need to be changed. Use a
> >> coccinelle search perhaps, but I think it should be merged anyway.
> >
> > I'll try a bit of my coccinelle-foo today and then decide.
> 
> Thanks Wolfram, much appreciated.

I am going to revert that commit. I was thinking back and forth, even
playing with the idea to remove the id as a parameter to probe for i2c
drivers and let them request the id from the i2c core when needed. But
now I found more side-effects. E.g. run-time based instantiation for i2c
devices is depending on an id-table. So, for now I keep insisting that
an id-table must exist. Looks like DT-only drivers need more thinking
and this is too late for 3.11.

Regards,

   Wolfram